import { Component, Prop } from 'vue-property-decorator';
import { ZdComponent } from '@zeedhi/vuetify';
import { PmAlert as PmAlertClass } from '../common/PmAlert';

@Component
export default class PmAlert extends ZdComponent {
	@Prop({ type: String, default: '' }) public type: string | undefined;

	@Prop({ type: String, default: '' }) public text: string | undefined;

	@Prop({ type: String, default: '' }) public color: string | undefined;

	@Prop({ type: String, default: '' }) public border: string | undefined;

	@Prop({ type: String, default: '' }) public elevation: string | undefined;

	@Prop({ type: Boolean, default: false }) public coloredBorder: false | undefined;

	@Prop({ type: Boolean, default: false }) public dense: false | undefined;

	@Prop({ type: Boolean, default: false }) public dismissible: false | undefined;

	@Prop({ type: Boolean, default: false }) public outlined: false | undefined;

	@Prop({ type: Boolean, default: false }) public prominent: false | undefined;

	@Prop({ type: Boolean, default: false }) public shaped: false | undefined;

	@Prop({ type: Boolean, default: false }) public textMode: false | undefined;

	public instance!: PmAlertClass;

	public instanceType: typeof PmAlertClass = PmAlertClass;
}
